<?
define('PROTECTOR', 1);

$head = 'boss';//фикс. места
$textl='Боссы';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
////////////////////////ОЖИВЛЕНИЕ//////
$timer=time()-2400;
mysql_query("DELETE FROM `temp` WHERE user='$log' and `user`='$log' and `hp`='0' and `ltime`<'$timer'") or die (mysql_error());
///:))//

$random=rand(1000,9999);
////////////////
$timer=time()+300;

switch($_GET[mod]){

default:
echo"<font color='#ffc22b'> • Боссы доступны с 20 уровня, за их победу ты получишь ценные ресурсы, монеты, алмазы. Некоторых боссов можно победить только супер-оружием!$div</font>";
if ($_GET[page] == "") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*5)+1;}
$avto = mysql_query("SELECT * FROM `boss` ORDER BY `lvl` ASC ")or die(mysql_error());
$req = mysql_query("SELECT * FROM `boss` ORDER BY `lvl` ASC LIMIT $num,5")or die(mysql_error());
////////////////////////////
$avto=mysql_num_rows($avto);
$puslap = floor($avto/5);
if($avto>=1){
$max=$udata[lvl]+5;
$min=$udata[lvl]-9;
While($boss = mysql_fetch_array($req)){
$font="white";
$level="$boss[lvl] уровень";
$text = "<img src='pic/up.png' alt='hp'/> ";
if($boss[lvl]>$max){$font="chocolate"; $text = "требуется <img src='pic/up.png' alt='hp'/> ";}
elseif($boss[lvl]<$min){$font="gray";}else{
$timer=time()-2400;
$hp = mysql_query("SELECT hp FROM `temp` WHERE `id` = '$boss[id]' and `user`='$log' LIMIT 1");
$temp = mysql_query("SELECT * FROM `temp` WHERE `id` = '$boss[id]' and `user`='$log' and `status`='die' and `ltime`>'$timer' LIMIT 1");
$avtot=mysql_num_rows($temp);
$bossen = mysql_fetch_array($temp);
$bhp = mysql_fetch_array($hp);
if($bhp[hp]>>0){$boss[hp]=$bhp[hp];}
$time = time();
$ti=round((2400+$bossen[ltime]-$time)/60);
$vr="минут";
if(2400+$bossen[ltime]-$time <= 60){$vr="секунд"; $ti=2400+$bossen[ltime]-$time; }
if($avtot>>0){$font="gray"; $text = "Бос погиб. До восстановления: $ti $vr"; $level = "";}
}

echo'<img class="float-left" src="pic/game/boss/'.$boss[lvl].'.jpg" height="40" width="40"/> </a>
<a href="boss.php?mod=info&id='.$boss[id].'">'.$boss[name].'</a> (<img src="pic/game/mob/hp.gif" alt="hp"/>  '.$boss[hp].')<br>
 <font color="'.$font.'"> '.$text.' '.$level.'</font><br>
<a href="boss.php?mod=info&id='.$boss[id].'">Атаковать</a>'; echo"$div";}
echo"<div class='dot'>";
if ($_GET[page] > 0){echo "<a href=\"boss.php?page=$back\">«Назад</a>";}
if ($_GET[page] > 0 and $_GET[page] < $puslap){ echo" | ";} 
if($_GET[page] < $puslap or $viso > 5){echo "<a href=\"boss.php?page=$next\">Вперeд»</a>";}
}else{
echo'Нет боссов!<br/>';}
echo'<br><a href="/">На главную</a></div>';
break;

case 'info':
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `boss` WHERE `id` = '$id' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такого босса не существует.".mysql_num_rows($req);
@include('files/down.php');exit;}
$hp = mysql_query("SELECT * FROM `temp` WHERE `id` = '$id' and `user`='$log' LIMIT 1");
$bhp = mysql_fetch_array($hp);
$mob = mysql_fetch_array($req);
if($bhp[hp]>>0){$mob[hp]=$bhp[hp];}
echo'<img class="float-left" src="pic/game/boss/'.$mob[lvl].'.jpg" style="margin-right:8px;" alt=""/> </a>';
echo"<b>$mob[name] <img src=\"pic/up.png\" alt=\"*\"/> $mob[lvl] </b><br>";
echo"<img src=\"pic/game/mob/hp.gif\" alt=\"*\"/> Жизни: <b>$mob[hp]</b><br>";
echo"<img src=\"pic/pers/udar.png\" alt=\"*\"/> Урон: <b>$mob[uron]</b><br>";
echo"<img src=\"pic/pers/verh.png\" alt=\"*\"/> Защита: <b>$mob[prot]</b><br>";
echo"<img src=\"pic/pers/lovk.png\" alt=\"*\"/> Ловкость: <b>$mob[lovk]</b><br>";
echo"<img src=\"pic/pers/krit.png\" alt=\"*\"/> Крит: <b>$mob[krit]%</b><br>";
echo"<img src=\"pic/pers/krit.png\" alt=\"*\"/> Крит-урон: <b>$mob[ukrit]%</b><br>";
echo"<img src=\"pic/up.png\" alt=\"*\"/> Опыта: <b>$mob[exp]</b><br>";
echo"<img src=\"pic/bazar.gif\" alt=\"*\"/> Монет: <b>$mob[money]</b><br>";
$max=$udata[lvl]+5;
$min=$udata[lvl]-9;
if($mob[lvl]>$max){echo"<img src=\"pic/game/kay.png\" alt=\"*\"/> <font color='chocolate'> Нельзя атаковать. требуется <b>$mob[lvl]</b> уровень!</font>";}
elseif($mob[lvl]<$min){echo"<img src=\"pic/game/kay.png\" alt=\"*\"/> <font color='gray'> 
Нельзя атаковать. этот босс ниже вашего уровня!</font>";}else{
$timer=time()-2400;
$temp = mysql_query("SELECT * FROM `temp` WHERE `id` = '$mob[id]' and `user`='$log' and `status`='die' and `ltime`>'$timer' LIMIT 1");
$avtot=mysql_num_rows($temp);
if($avtot>>0){
$bossen = mysql_fetch_array($temp);
$time = time();
$ti=round((2400+$bossen[ltime]-$time)/60);
$vr="минут";
if(2400+$bossen[ltime]-$time <= 60){$vr="секунд"; $ti=2400+$bossen[ltime]-$time; }
echo"<font color=\"gray\"> Бос погиб. До восстановления: $ti $vr</font>";
}elseif ($in_battle=='1' ){echo"<font color=\"gray\"> Вы уже в бою с другим боссом</font>";}

else{

echo'<form action="ok.php?id='.$id.'" method="post">';
echo'<input class="button" type="submit" value="Атаковать" /></form>';}}
echo"$div";
echo'<a href="javascript:history.go(-1)">Назад</a>';
break;

}
@include('files/down.php');
?>